Security Update for .NET Core (January 2019)

medium Nessus Plugin ID 123132
New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it is different from CVSS.

VPR Score: 3.6

Synopsis

The remote Windows host is affected by a .NET Core tampering and information disclosure vulnerabilities.

Description

The remote Windows host has an installation of .NET Core with a version 2.1.x < 2.1.7 or 2.2.x < 2.2.1. It is, therefore, affected by the following vulnerabilities:

- An information disclosure vulnerability exists in .NET Core.
An unauthenticated, remote attacker can exploit this to bypass cross-origin resource sharing (CORS), to disclose potentially sensitive information. (CVE-2019-0545)

- A tampering vulnerability exists in .NET Core. An authenticated, remote attacker can exploit this to write arbitrary files and directories with limited control of their destinations.
(CVE-2018-8416)

Solution

Refer to vendor documentation.

See Also

http://www.nessus.org/u?75ce0f6d

http://www.nessus.org/u?5c7dc693

http://www.nessus.org/u?ae0a1b1a

Plugin Details

Severity: Medium

ID: 123132

File Name: smb_nt_ms19_jan_dotnet_core.nasl

Version: 1.2

Type: local

Agent: windows

Family: Windows

Published: 3/27/2019

Updated: 10/30/2019

Dependencies: microsoft_dotnet_core_win.nbin

Risk Information

Risk Factor: Medium

VPR Score: 3.6

CVSS Score Source: CVE-2019-0545

CVSS v2.0

Base Score: 5

Temporal Score: 3.7

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:microsoft:.net_core

Required KB Items: installed_sw/.NET Core Windows

Exploit Ease: No known exploits are available

Patch Publication Date: 1/8/2018

Vulnerability Publication Date: 1/8/2019

Reference Information

CVE: CVE-2019-0545, CVE-2018-8416

BID: 106405, 105798